package org.jcon.param;

import java.util.Vector;

/**
 * A Vector whose elements are all Strings. This is a "tag"
 * type class. It MUST be used as the Vector for hasLines:.
 *
 * @author Jack Harich
 */
public class StringVector extends Vector {

/**
 * Copies all elements in the vector to itself, in the
 * same order.
 */
public void copy(Vector vector) {
    int count = vector.size();
    for (int i = 0; i < count; i++) {
        addElement(vector.elementAt(i));
    }
}

} // End class
